
From: Nikita Danilov <Nikita@Namesys.COM>

Now that decision to reclaim mapped memory is taken on the basis of
zone->prev_priority, priority argument is no longer needed.



---

 mm/vmscan.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN mm/vmscan.c~vmscan-remove-priority mm/vmscan.c
--- 25/mm/vmscan.c~vmscan-remove-priority	2004-02-04 02:34:17.000000000 -0800
+++ 25-akpm/mm/vmscan.c	2004-02-04 02:34:17.000000000 -0800
@@ -584,7 +584,7 @@ done:
  */
 static void
 refill_inactive_zone(struct zone *zone, const int nr_pages_in,
-			struct page_state *ps, int priority)
+			struct page_state *ps)
 {
 	int pgmoved;
 	int pgdeactivate = 0;
@@ -744,7 +744,7 @@ refill_inactive_zone(struct zone *zone, 
  */
 static int
 shrink_zone(struct zone *zone, int max_scan, unsigned int gfp_mask,
-	const int nr_pages, int *nr_mapped, struct page_state *ps, int priority)
+	const int nr_pages, int *nr_mapped, struct page_state *ps)
 {
 	unsigned long ratio;
 
@@ -774,7 +774,7 @@ shrink_zone(struct zone *zone, int max_s
 		if (count > SWAP_CLUSTER_MAX * 4)
 			count = SWAP_CLUSTER_MAX * 4;
 		atomic_set(&zone->refill_counter, 0);
-		refill_inactive_zone(zone, count, ps, priority);
+		refill_inactive_zone(zone, count, ps);
 	}
 	return shrink_cache(nr_pages, zone, gfp_mask,
 				max_scan, nr_mapped);
@@ -823,7 +823,7 @@ shrink_caches(struct zone **zones, int p
 		if (max_scan < to_reclaim * 2)
 			max_scan = to_reclaim * 2;
 		ret += shrink_zone(zone, max_scan, gfp_mask,
-				to_reclaim, &nr_mapped, ps, priority);
+				to_reclaim, &nr_mapped, ps);
 		*total_scanned += max_scan + nr_mapped;
 		if (ret >= nr_pages)
 			break;
@@ -961,7 +961,7 @@ static int balance_pgdat(pg_data_t *pgda
 			if (max_scan < SWAP_CLUSTER_MAX)
 				max_scan = SWAP_CLUSTER_MAX;
 			to_free -= shrink_zone(zone, max_scan, GFP_KERNEL,
-					to_reclaim, &nr_mapped, ps, priority);
+					to_reclaim, &nr_mapped, ps);
 			if (i < ZONE_HIGHMEM) {
 				reclaim_state->reclaimed_slab = 0;
 				shrink_slab(max_scan + nr_mapped, GFP_KERNEL);

_
